import I18NTools from '@beisen/i18n-tools';
import appConfig from '_/src/app-config';
var _appConfig$i18n = appConfig.i18n,
    i18n = _appConfig$i18n === void 0 ? {} : _appConfig$i18n;
export default function (kickoff) {
  var _window = window,
      _window$BSGlobal = _window.BSGlobal,
      BSGlobal = _window$BSGlobal === void 0 ? {} : _window$BSGlobal;
  var I18NInfo = BSGlobal.I18NInfo;
  window.I18NTools = I18NTools; //

  if (I18NInfo) {
    I18NTools.appInit({
      lng: i18n.lng || I18NInfo.I18NUserLang,
      i18nSite: i18n.host || I18NInfo.I18NFrontEndHost,
      versions: function versions() {
        var version = {};
        version[I18NInfo.I18NUserLang] = I18NInfo.I18NVersion;
        return version;
      },
      application: i18n.app,
      platform: i18n.platform || ' isSysRes',
      debug: i18n.debug || false,
      namespaces: i18n.ns,
      callback: function callback() {
        kickoff();
      }
    });
    return;
  }

  kickoff();
}